{% set ocultarMenuIntranet = true %}
{% extends '::baseIntranet.html.twig' %}
{% form_theme formMenu '::Forms/bootstrapForm.html.twig' %}

{% block title %} INTRANET - Marcas de renombre {% endblock %}

{% block stylesheets %}
<link href="{{ asset('vendor/treeView/treeView.css') }}" rel="stylesheet">
<style type="text/css">
.addMenu, .viewMenu, .editMenu
{
	cursor: pointer;
}
</style>
{% endblock stylesheets %}

{% block body %}
<div id="arbol"></div>

{# Ventanas modales #}
{% set nombreEntidad = 'Menú' %}
<div class="modal fade modal_base" id="modalMenu" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel"><span id="labelMenuAccion">Crear</span> {{ nombreEntidad }}</h4>
      </div>
      <div class="modal-body">
		<ol class="breadcrumb">
		</ol>
        {{ form(formMenu) }}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btnMenuGuardar">Guardar {{ nombreEntidad }}</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}


{% block javascripts %}
<script type="text/javascript">
	urls.intranet = urls.intranet || {};
	urls.intranet.menuUpdate = "{{ path('intranetmenus_update', {id: '__id__'}) }}";

	var isAdmin = {{ is_granted('ROLE_ADMINISTRADOR') ? 'true' : 'false' }};
</script>
<script src="{{ asset('vendor/treeView/treeView.js') }}" /></script>
<script type="text/javascript" src="{{ asset('bundles/intranet/js/arbolIntranet.js') }}"></script>
<script type="text/javascript" src="{{ asset('bundles/intranet/js/buscadorIntranetAdmin.js') }}"></script>

<script type="text/javascript">
	arbol = tree;
	$(document).ready(function() {
		$("#btnMenuGuardar").click(function() {
			saveMenu(isAdmin);
		});
		GetMenuJSON(isAdmin);
	});
</script>

<script type="text/template" id='ArbolMenuTemplate'>
	{% include 'IntranetBundle:js:arbolMenuAdmin.html.twig' %} 
</script>
<script type="text/template" id='BreadcrumbMenusTemplate'>
	{% include 'IntranetBundle:js:breadcrumbMenus.html.twig' %} 
</script>

{% endblock javascripts %}
